=== debian/control ===
Source: ros-kinetic-robot-calibration
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mike@vanadiumlabs.com>
Build-Depends: debhelper (>= 9.0.0), libceres-dev, libgflags-dev, libprotobuf-dev, libprotoc-dev, libsuitesparse-dev, protobuf-compiler, ros-kinetic-actionlib, ros-kinetic-camera-calibration-parsers, ros-kinetic-catkin, ros-kinetic-code-coverage, ros-kinetic-control-msgs, ros-kinetic-cv-bridge, ros-kinetic-geometry-msgs, ros-kinetic-kdl-parser, ros-kinetic-moveit-msgs, ros-kinetic-nav-msgs, ros-kinetic-orocos-kdl, ros-kinetic-pluginlib, ros-kinetic-robot-calibration-msgs, ros-kinetic-rosbag, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-tf2-geometry-msgs, ros-kinetic-tf2-ros, ros-kinetic-visualization-msgs
Homepage: http://ros.org/wiki/robot_calibration
Standards-Version: 3.9.2

Package: ros-kinetic-robot-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libceres-dev, libprotobuf-dev, libprotoc-dev, libsuitesparse-dev, protobuf-compiler, ros-kinetic-actionlib, ros-kinetic-camera-calibration-parsers, ros-kinetic-control-msgs, ros-kinetic-cv-bridge, ros-kinetic-geometry-msgs, ros-kinetic-kdl-parser, ros-kinetic-moveit-msgs, ros-kinetic-nav-msgs, ros-kinetic-orocos-kdl, ros-kinetic-pluginlib, ros-kinetic-robot-calibration-msgs, ros-kinetic-rosbag, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-tf2-geometry-msgs, ros-kinetic-tf2-ros, ros-kinetic-visualization-msgs
Description: Calibrate a Robot
